AM261x MCU+ SDK: CpswAle_PolicerEntryOutArgs Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CpswAle_PolicerEntryOutArgs Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Forwarding Database (FDB) » CPSW Address Lookup Engine (ALE)

## Detailed Description

Output args for CPSW_ALE_IOCTL_GET_POLICER, CPSW_ALE_IOCTL_SET_POLICER_THREADCFG, CPSW_ALE_IOCTL_BLOCK_CLASSIFIER_HOSTPORT and CPSW_ALE_IOCTL_SET_INTERVLAN_CFG commands.

## Data Fields
uint32_t | policerMatchEnMask
uint32_t | port
bool | portIsTrunk
uint32_t | priority
uint32_t | ouiAleEntryIdx
uint32_t | srcMacAleEntryIdx
uint32_t | dstMacAleEntryIdx
uint32_t | ivlanAleEntryIdx
uint32_t | ovlanAleEntryIdx
uint32_t | etherTypeAleEntryIdx
uint32_t | srcIpAleEntryIdx
uint32_t | dstIpAleEntryIdx
bool | threadIdEn
uint32_t | threadId
uint32_t | peakRateInBitsPerSec
uint32_t | commitRateInBitsPerSec
uint32_t | policerEntryIdx
bool | egressOpEn
uint32_t | egressOpcode
bool | ttlCheckEn
uint32_t | egressTrunkIdx
uint32_t | dstPortMask

## Field Documentation

## ◆ policerMatchEnMask

uint32_t CpswAle_PolicerEntryOutArgs::policerMatchEnMask

Bitmask selecting classifier types to be enabled for this policer.

See also
  ALE classifier match types

## ◆ port

uint32_t CpswAle_PolicerEntryOutArgs::port

Port number to match. Valid if bit CPSW_ALE_POLICER_MATCH_PORT in policerMatchEnMask is set

## ◆ portIsTrunk

bool CpswAle_PolicerEntryOutArgs::portIsTrunk

Flag indicating port number is a trunk group. Valid if bit CPSW_ALE_POLICER_MATCH_PORT in policerMatchEnMask is set

## ◆ priority

uint32_t CpswAle_PolicerEntryOutArgs::priority

Received packet priority to match. Valid if bit CPSW_ALE_POLICER_MATCH_PRIORITY in policerMatchEnMask is set

## ◆ ouiAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::ouiAleEntryIdx

OUI ALE table entry index to match. Valid if bit CPSW_ALE_POLICER_MATCH_OUI in policerMatchEnMask is set

## ◆ srcMacAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::srcMacAleEntryIdx

MAC address ALE table entry index to match source MAC address. Valid if bit CPSW_ALE_POLICER_MATCH_MACSRC in policerMatchEnMask is set

## ◆ dstMacAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::dstMacAleEntryIdx

MAC address ALE table entry index to match destination MAC address. Valid if bit CPSW_ALE_POLICER_MATCH_MACDST in policerMatchEnMask is set

## ◆ ivlanAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::ivlanAleEntryIdx

Inner VLAN ALE table entry index to match. Valid if bit CPSW_ALE_POLICER_MATCH_IVLAN in policerMatchEnMask is set

## ◆ ovlanAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::ovlanAleEntryIdx

Outer VLAN ALE table entry index to match. Valid if bit CPSW_ALE_POLICER_MATCH_OVLAN in policerMatchEnMask is set

## ◆ etherTypeAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::etherTypeAleEntryIdx

EtherType ALE table entry index to match. It's valid if bit CPSW_ALE_POLICER_MATCH_ETHERTYPE in policerMatchEnMask is set

## ◆ srcIpAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::srcIpAleEntryIdx

IP address ALE table entry index to match as source IP address. Valid if bit CPSW_ALE_POLICER_MATCH_IPSRC in policerMatchEnMask is set

## ◆ dstIpAleEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::dstIpAleEntryIdx

IP address ALE table entry index to match as destination IP address. Valid if bit CPSW_ALE_POLICER_MATCH_IPDST in policerMatchEnMask is set

## ◆ threadIdEn

bool CpswAle_PolicerEntryOutArgs::threadIdEn

Flag indicating if thread id setting is enabled for this policer entry

## ◆ threadId

uint32_t CpswAle_PolicerEntryOutArgs::threadId

Thread Id which will be enabled for this policer match. Valid if threadIdEn is true.

## ◆ peakRateInBitsPerSec

uint32_t CpswAle_PolicerEntryOutArgs::peakRateInBitsPerSec

Peak rate in bits per second. 0 indicates rate limit is disabled

## ◆ commitRateInBitsPerSec

uint32_t CpswAle_PolicerEntryOutArgs::commitRateInBitsPerSec

Commit rate in bits per second. 0 indicates rate limit is disabled

## ◆ policerEntryIdx

uint32_t CpswAle_PolicerEntryOutArgs::policerEntryIdx

ALE policer table entry index

## ◆ egressOpEn

bool CpswAle_PolicerEntryOutArgs::egressOpEn

Egress Op enabled

## ◆ egressOpcode

uint32_t CpswAle_PolicerEntryOutArgs::egressOpcode

Egress Op code:

- 0x00 - Egress Op disabled
- 0xFF - Egress Op: OAM loopback enabled
- 0x01 - CPSW_MACPORT_INTERVLAN_ROUTEID_LAST - InterVLAN route enabled

## ◆ ttlCheckEn

bool CpswAle_PolicerEntryOutArgs::ttlCheckEn

TTL check enabled for the interVLAN route. Valid only if egress op code has interVLan route enabled

## ◆ egressTrunkIdx

uint32_t CpswAle_PolicerEntryOutArgs::egressTrunkIdx

Trunk index to be used if detPort for interVLAN route is a trunk. Valid only if egress op code has interVLAN route enabled

## ◆ dstPortMask

uint32_t CpswAle_PolicerEntryOutArgs::dstPortMask

Port mask to which the packet is to be routed. Valid only if egress op code has interVLAN route enabled